import request from '@/utils/request'

// 查询工艺附件管理列表
export function listBaseFile(query) {
	return request({
		url: '/mes/pro/baseFile/list',
		method: 'get',
		params: query
	});
}

// 查询工艺附件管理详细
export function getBaseFile(fileId) {
	return request({
		url: '/mes/pro/baseFile/' + fileId,
		method: 'get'
		});
}

// 新增工艺附件管理
export function addBaseFile(data) {
	return request({
		url: '/mes/pro/baseFile',
		method: 'post',
		data: data
	});
}

// 修改工艺附件管理
export function updateBaseFile(data) {
	return request({
		url: '/mes/pro/baseFile',
		method: 'put',
		data: data
	});
}

// 删除工艺附件管理
export function delBaseFile(fileId) {
	return request({
		url: '/mes/pro/baseFile/' + fileId,
		method: 'delete'
	});
}
